<template>
  <footer
    class="p-4 mt-12 align-self-center footer bg-neutral
    bg-opacity-75 text-neutral-content"
  >
    <div class="alert alert-warning shadow-lg">
      <div class="items-center">
        <AlertIcon />
        <span class="ml-2">
          {{ `${$t('footer.build')}: ${buildNumber}. ${$t('footer.warning')}` }}
        </span>
      </div>
    </div>
  </footer>
</template>

<script lang='ts'>
import Vue from 'vue'
import { commit } from '~/repo-metadata.json'
import AlertIcon from '../../assets/images/alertIcon.svg?inline'

export default Vue.extend({
  components: { AlertIcon },
  computed: {
    buildNumber() {
      return commit.substring(0, 7)
    }
  }
})
</script>
